3111 Georgi Kodinov 2010-07-14 [merge]
merge
modified:
client/mysqlshow.c
regex/regcomp.c
scripts/mysql_secure_installation.sh
3110 Davi Arnaut 2010-07-12
Add the cmake option MYSQL_MAINTAINER_MODE which is equivalent
to the autotools option mysql-maintainer-mode. This option is
intended to set a few flags that should be activated by anyone
doing MySQL development, regardless of the build type. Also, the
flags are only set by the very end of the platform checks as
to not disturb fragile checks.
modified:
CMakeLists.txt
cmake/configure.pl
storage/innobase/CMakeLists.txt
=== modified file 'client/mysqlshow.c'
--- a/client/mysqlshow.c 2010-06-11 01:30:49 +0000
+++ b/client/mysqlshow.c 2010-07-14 09:57:22 +0000
@@ -671,8 +671,7 @@ list_fields(MYSQL *mysql,const char *db,
char query[1024],*end;
MYSQL_RES *result;
MYSQL_ROW row;
- ulong rows;
- LINT_INIT(rows);
+ ulong UNINIT_VAR(rows);
if (mysql_select_db(mysql,db))
{
=== modified file 'regex/regcomp.c'
--- a/regex/regcomp.c 2010-07-02 18:30:47 +0000
+++ b/regex/regcomp.c 2010-07-09 19:37:52 +0000
@@ -1563,13 +1563,13 @@ struct parse *p;
register struct re_guts *g;
{
register sop *scan;
- sop *start;
- register sop *newstart;
+ sop *UNINIT_VAR(start);
+ register sop *UNINIT_VAR(newstart);
register sopno newlen;
register sop s;
register char *cp;
register sopno i;
- LINT_INIT(start); LINT_INIT(newstart);
+
/* avoid making error situations worse */
if (p->error != 0)
return;
=== modified file 'scripts/mysql_secure_installation.sh'
--- a/scripts/mysql_secure_installation.sh 2009-11-03 20:50:28 +0000
+++ b/scripts/mysql_secure_installation.sh 2010-07-09 11:11:12 +0000
@@ -17,6 +17,7 @@
config=".my.cnf.$$"
command=".mysql.$$"
+mysql_client=""
trap "interrupt" 2
@@ -37,10 +38,26 @@ prepare() {
chmod 600 $config $command
}
+find_mysql_client()
+{
+ for n in ./bin/mysql mysql
+ do
+ $n --no-defaults --help > /dev/null 2>&1
+ status=$?
+ if test $status -eq 0
+ then
+ mysql_client=$n
+ return
+ fi
+ done
+ echo "Can't find a 'mysql' client in PATH or ./bin"
+ exit 1
+}
+
do_query() {
echo "$1" >$command
#sed 's,^,> ,' < $command # Debugging
- mysql --defaults-file=$config <$command
+ $mysql_client --defaults-file=$config <$command
return $?
}
@@ -204,6 +221,7 @@ cleanup() {
# The actual script starts here
prepare
+find_mysql_client
set_echo_compat
echo
Attachment: [text/bzr-bundle] bzr/georgi.kodinov@oracle.com-20100714095722-ym72paiw2rc8sxlk.bundle
| Thread |
|---|
| • bzr push into mysql-trunk branch (Georgi.Kodinov:3110 to 3111) | Georgi Kodinov | 14 Jul |